Index: trunk/cfg/MV-HEVC/NonCTC/gopCfg_IPB_on_IRAP_3view.cfg
===================================================================
--- trunk/cfg/MV-HEVC/NonCTC/gopCfg_IPB_on_IRAP_3view.cfg	(revision 1397)
+++ trunk/cfg/MV-HEVC/NonCTC/gopCfg_IPB_on_IRAP_3view.cfg	(revision 1405)
@@ -34,34 +34,34 @@
 
 
-#                           QPfactor      betaOffsetDiv2   #ref_pics_active  reference pictures     deltaRPS     reference idcs          ilPredLayerIdc       refLayerPicPosIl_L1
-#         Type  POC QPoffset     tcOffsetDiv2      temporal_id      #ref_pics                 predict     #ref_idcs        #ActiveRefLayerPics     refLayerPicPosIl_L0     
-Frame1:     B    8     1     0.442    0        0        0        4      4     -8 -10 -12 -16     0                                 0
-Frame2:     B    4     2     0.3536   0        0        0        2      3     -4 -6  4           1     4     5     1 1 0 0 1       0
-Frame3:     B    2     3     0.3536   0        0        0        2      4     -2 -4  2 6         1     2     4     1 1 1 1         0
-Frame4:     B    1     4     0.68     0        0        0        2      4     -1  1  3 7         1     1     5     1 0 1 1 1       0
-Frame5:     B    3     4     0.68     0        0        0        2      4     -1 -3  1 5         1    -2     5     1 1 1 1 0       0
-Frame6:     B    6     3     0.3536   0        0        0        2      4     -2 -4 -6 2         1    -3     5     1 1 1 1 0       0
-Frame7:     B    5     4     0.68     0        0        0        2      4     -1 -5  1 3         1     1     5     1 0 1 1 1       0
-Frame8:     B    7     4     0.68     0        0        0        2      4     -1 -3 -7 1         1    -2     5     1 1 1 1 0       0
-    
-FrameI_l1:  P    0     3     0.442    0        0        0        1      0                        0                                 1            0         0          -1
-Frame1_l1:  B    8     4     0.442    0        0        0        4      4     -8 -10 -12 -16     0                                 0
-Frame2_l1:  B    4     5     0.3536   0        0        0        3      3     -4 -6  4           1     4     5     1 1 0 0 1       0
-Frame3_l1:  B    2     6     0.3536   0        0        0        3      4     -2 -4  2 6         1     2     4     1 1 1 1         0
-Frame4_l1:  B    1     7     0.68     0        0        0        3      4     -1  1  3 7         1     1     5     1 0 1 1 1       0
-Frame5_l1:  B    3     7     0.68     0        0        0        3      4     -1 -3  1 5         1    -2     5     1 1 1 1 0       0
-Frame6_l1:  B    6     6     0.3536   0        0        0        3      4     -2 -4 -6 2         1    -3     5     1 1 1 1 0       0
-Frame7_l1:  B    5     7     0.68     0        0        0        3      4     -1 -5  1 3         1     1     5     1 0 1 1 1       0
-Frame8_l1:  B    7     7     0.68     0        0        0        3      4     -1 -3 -7 1         1    -2     5     1 1 1 1 0       0
+#                      CbQPoffset    QPfactor     betaOffsetDiv2   #ref_pics_active  reference pictures     deltaRPS     reference idcs          ilPredLayerIdc       refLayerPicPosIl_L1
+#         Type  POC QPoffset  CrQPoffset  tcOffsetDiv2      temporal_id      #ref_pics                 predict     #ref_idcs        #ActiveRefLayerPics     refLayerPicPosIl_L0     
+Frame1:     B    8     1   0       0 0.442    0        0        0        4      4     -8 -10 -12 -16     0                                 0
+Frame2:     B    4     2   0       0 0.3536   0        0        0        2      3     -4 -6  4           1     4     5     1 1 0 0 1       0
+Frame3:     B    2     3   0       0 0.3536   0        0        0        2      4     -2 -4  2 6         1     2     4     1 1 1 1         0
+Frame4:     B    1     4   0       0 0.68     0        0        0        2      4     -1  1  3 7         1     1     5     1 0 1 1 1       0
+Frame5:     B    3     4   0       0 0.68     0        0        0        2      4     -1 -3  1 5         1    -2     5     1 1 1 1 0       0
+Frame6:     B    6     3   0       0 0.3536   0        0        0        2      4     -2 -4 -6 2         1    -3     5     1 1 1 1 0       0
+Frame7:     B    5     4   0       0 0.68     0        0        0        2      4     -1 -5  1 3         1     1     5     1 0 1 1 1       0
+Frame8:     B    7     4   0       0 0.68     0        0        0        2      4     -1 -3 -7 1         1    -2     5     1 1 1 1 0       0
 
-FrameI_l2:  B    0     3     0.442    0        0        0        1      0                        0                                 2            0 1       0 -1      -1 0
-Frame1_l2:  B    8     4     0.442    0        0        0        4      4     -8 -10 -12 -16     0                                 1            0         0         -1
-Frame2_l2:  B    4     5     0.3536   0        0        0        3      3     -4 -6  4           1     4     5     1 1 0 0 1       0  
-Frame3_l2:  B    2     6     0.3536   0        0        0        3      4     -2 -4  2 6         1     2     4     1 1 1 1         0  
-Frame4_l2:  B    1     7     0.68     0        0        0        3      4     -1  1  3 7         1     1     5     1 0 1 1 1       0  
-Frame5_l2:  B    3     7     0.68     0        0        0        3      4     -1 -3  1 5         1    -2     5     1 1 1 1 0       0  
-Frame6_l2:  B    6     6     0.3536   0        0        0        3      4     -2 -4 -6 2         1    -3     5     1 1 1 1 0       0  
-Frame7_l2:  B    5     7     0.68     0        0        0        3      4     -1 -5  1 3         1     1     5     1 0 1 1 1       0  
-Frame8_l2:  B    7     7     0.68     0        0        0        3      4     -1 -3 -7 1         1    -2     5     1 1 1 1 0       0  
+FrameI_l1:  P    0     3   0       0 0.442    0        0        0        1      0                        0                                 1            0         0          -1
+Frame1_l1:  B    8     4   0       0 0.442    0        0        0        4      4     -8 -10 -12 -16     0                                 0
+Frame2_l1:  B    4     5   0       0 0.3536   0        0        0        3      3     -4 -6  4           1     4     5     1 1 0 0 1       0
+Frame3_l1:  B    2     6   0       0 0.3536   0        0        0        3      4     -2 -4  2 6         1     2     4     1 1 1 1         0
+Frame4_l1:  B    1     7   0       0 0.68     0        0        0        3      4     -1  1  3 7         1     1     5     1 0 1 1 1       0
+Frame5_l1:  B    3     7   0       0 0.68     0        0        0        3      4     -1 -3  1 5         1    -2     5     1 1 1 1 0       0
+Frame6_l1:  B    6     6   0       0 0.3536   0        0        0        3      4     -2 -4 -6 2         1    -3     5     1 1 1 1 0       0
+Frame7_l1:  B    5     7   0       0 0.68     0        0        0        3      4     -1 -5  1 3         1     1     5     1 0 1 1 1       0
+Frame8_l1:  B    7     7   0       0 0.68     0        0        0        3      4     -1 -3 -7 1         1    -2     5     1 1 1 1 0       0
+
+FrameI_l2:  B    0     3   0       0 0.442    0        0        0        1      0                        0                                 2            0 1       0 -1      -1 0
+Frame1_l2:  B    8     4   0       0 0.442    0        0        0        4      4     -8 -10 -12 -16     0                                 1            0         0         -1
+Frame2_l2:  B    4     5   0       0 0.3536   0        0        0        3      3     -4 -6  4           1     4     5     1 1 0 0 1       0  
+Frame3_l2:  B    2     6   0       0 0.3536   0        0        0        3      4     -2 -4  2 6         1     2     4     1 1 1 1         0  
+Frame4_l2:  B    1     7   0       0 0.68     0        0        0        3      4     -1  1  3 7         1     1     5     1 0 1 1 1       0  
+Frame5_l2:  B    3     7   0       0 0.68     0        0        0        3      4     -1 -3  1 5         1    -2     5     1 1 1 1 0       0  
+Frame6_l2:  B    6     6   0       0 0.3536   0        0        0        3      4     -2 -4 -6 2         1    -3     5     1 1 1 1 0       0  
+Frame7_l2:  B    5     7   0       0 0.68     0        0        0        3      4     -1 -5  1 3         1     1     5     1 0 1 1 1       0  
+Frame8_l2:  B    7     7   0       0 0.68     0        0        0        3      4     -1 -3 -7 1         1    -2     5     1 1 1 1 0       0  
 
 
Index: trunk/cfg/MV-HEVC/NonCTC/gopCfg_NoIv_3view.cfg
===================================================================
--- trunk/cfg/MV-HEVC/NonCTC/gopCfg_NoIv_3view.cfg	(revision 1397)
+++ trunk/cfg/MV-HEVC/NonCTC/gopCfg_NoIv_3view.cfg	(revision 1405)
@@ -40,34 +40,34 @@
 DependencyTypes_2             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 
-#                           QPfactor      betaOffsetDiv2   #ref_pics_active  reference pictures     deltaRPS     reference idcs          ilPredLayerIdc       refLayerPicPosIl_L1
-#         Type  POC QPoffset     tcOffsetDiv2      temporal_id      #ref_pics                 predict     #ref_idcs        #ActiveRefLayerPics     refLayerPicPosIl_L0     
-Frame1:     B    8     1     0.442    0        0        0        4      4     -8 -10 -12 -16     0                                   0
-Frame2:     B    4     2     0.3536   0        0        0        2      3     -4 -6  4           1     4     5     1 1 0 0 1         0
-Frame3:     B    2     3     0.3536   0        0        0        2      4     -2 -4  2 6         1     2     4     1 1 1 1           0
-Frame4:     B    1     4     0.68     0        0        0        2      4     -1  1  3 7         1     1     5     1 0 1 1 1         0
-Frame5:     B    3     4     0.68     0        0        0        2      4     -1 -3  1 5         1    -2     5     1 1 1 1 0         0
-Frame6:     B    6     3     0.3536   0        0        0        2      4     -2 -4 -6 2         1    -3     5     1 1 1 1 0         0
-Frame7:     B    5     4     0.68     0        0        0        2      4     -1 -5  1 3         1     1     5     1 0 1 1 1         0
-Frame8:     B    7     4     0.68     0        0        0        2      4     -1 -3 -7 1         1    -2     5     1 1 1 1 0         0
-                                                                                                                                   
-FrameI_l1:  I    0     3     0.442    0        0        0        1      0                        0                                   0
-Frame1_l1:  B    8     4     0.442    0        0        0        4      4     -8 -10 -12 -16     0                                   0
-Frame2_l1:  B    4     5     0.3536   0        0        0        3      3     -4 -6  4           1     4     5     1 1 0 0 1         0
-Frame3_l1:  B    2     6     0.3536   0        0        0        3      4     -2 -4  2 6         1     2     4     1 1 1 1           0
-Frame4_l1:  B    1     7     0.68     0        0        0        3      4     -1  1  3 7         1     1     5     1 0 1 1 1         0
-Frame5_l1:  B    3     7     0.68     0        0        0        3      4     -1 -3  1 5         1    -2     5     1 1 1 1 0         0
-Frame6_l1:  B    6     6     0.3536   0        0        0        3      4     -2 -4 -6 2         1    -3     5     1 1 1 1 0         0
-Frame7_l1:  B    5     7     0.68     0        0        0        3      4     -1 -5  1 3         1     1     5     1 0 1 1 1         0
-Frame8_l1:  B    7     7     0.68     0        0        0        3      4     -1 -3 -7 1         1    -2     5     1 1 1 1 0         0
-                                                                                                                                     
-FrameI_l2:  I    0     3     0.442    0        0        0        1      0                        0                                   0
-Frame1_l2:  B    8     4     0.442    0        0        0        4      4     -8 -10 -12 -16     0                                   0
-Frame2_l2:  B    4     5     0.3536   0        0        0        3      3     -4 -6  4           1     4     5     1 1 0 0 1         0
-Frame3_l2:  B    2     6     0.3536   0        0        0        3      4     -2 -4  2 6         1     2     4     1 1 1 1           0
-Frame4_l2:  B    1     7     0.68     0        0        0        3      4     -1  1  3 7         1     1     5     1 0 1 1 1         0
-Frame5_l2:  B    3     7     0.68     0        0        0        3      4     -1 -3  1 5         1    -2     5     1 1 1 1 0         0
-Frame6_l2:  B    6     6     0.3536   0        0        0        3      4     -2 -4 -6 2         1    -3     5     1 1 1 1 0         0
-Frame7_l2:  B    5     7     0.68     0        0        0        3      4     -1 -5  1 3         1     1     5     1 0 1 1 1         0
-Frame8_l2:  B    7     7     0.68     0        0        0        3      4     -1 -3 -7 1         1    -2     5     1 1 1 1 0         0
+#                      CbQPoffset    QPfactor     betaOffsetDiv2   #ref_pics_active  reference pictures     deltaRPS     reference idcs          ilPredLayerIdc       refLayerPicPosIl_L1
+#         Type  POC QPoffset  CrQPoffset  tcOffsetDiv2      temporal_id      #ref_pics                 predict     #ref_idcs        #ActiveRefLayerPics     refLayerPicPosIl_L0     
+Frame1:     B    8     1   0      0  0.442    0        0        0        4      4     -8 -10 -12 -16     0                                   0
+Frame2:     B    4     2   0      0  0.3536   0        0        0        2      3     -4 -6  4           1     4     5     1 1 0 0 1         0
+Frame3:     B    2     3   0      0  0.3536   0        0        0        2      4     -2 -4  2 6         1     2     4     1 1 1 1           0
+Frame4:     B    1     4   0      0  0.68     0        0        0        2      4     -1  1  3 7         1     1     5     1 0 1 1 1         0
+Frame5:     B    3     4   0      0  0.68     0        0        0        2      4     -1 -3  1 5         1    -2     5     1 1 1 1 0         0
+Frame6:     B    6     3   0      0  0.3536   0        0        0        2      4     -2 -4 -6 2         1    -3     5     1 1 1 1 0         0
+Frame7:     B    5     4   0      0  0.68     0        0        0        2      4     -1 -5  1 3         1     1     5     1 0 1 1 1         0
+Frame8:     B    7     4   0      0  0.68     0        0        0        2      4     -1 -3 -7 1         1    -2     5     1 1 1 1 0         0
+
+FrameI_l1:  I    0     3   0      0  0.442    0        0        0        1      0                        0                                   0
+Frame1_l1:  B    8     4   0      0  0.442    0        0        0        4      4     -8 -10 -12 -16     0                                   0
+Frame2_l1:  B    4     5   0      0  0.3536   0        0        0        3      3     -4 -6  4           1     4     5     1 1 0 0 1         0
+Frame3_l1:  B    2     6   0      0  0.3536   0        0        0        3      4     -2 -4  2 6         1     2     4     1 1 1 1           0
+Frame4_l1:  B    1     7   0      0  0.68     0        0        0        3      4     -1  1  3 7         1     1     5     1 0 1 1 1         0
+Frame5_l1:  B    3     7   0      0  0.68     0        0        0        3      4     -1 -3  1 5         1    -2     5     1 1 1 1 0         0
+Frame6_l1:  B    6     6   0      0  0.3536   0        0        0        3      4     -2 -4 -6 2         1    -3     5     1 1 1 1 0         0
+Frame7_l1:  B    5     7   0      0  0.68     0        0        0        3      4     -1 -5  1 3         1     1     5     1 0 1 1 1         0
+Frame8_l1:  B    7     7   0      0  0.68     0        0        0        3      4     -1 -3 -7 1         1    -2     5     1 1 1 1 0         0
+
+FrameI_l2:  I    0     3   0      0  0.442    0        0        0        1      0                        0                                   0
+Frame1_l2:  B    8     4   0      0  0.442    0        0        0        4      4     -8 -10 -12 -16     0                                   0
+Frame2_l2:  B    4     5   0      0  0.3536   0        0        0        3      3     -4 -6  4           1     4     5     1 1 0 0 1         0
+Frame3_l2:  B    2     6   0      0  0.3536   0        0        0        3      4     -2 -4  2 6         1     2     4     1 1 1 1           0
+Frame4_l2:  B    1     7   0      0  0.68     0        0        0        3      4     -1  1  3 7         1     1     5     1 0 1 1 1         0
+Frame5_l2:  B    3     7   0      0  0.68     0        0        0        3      4     -1 -3  1 5         1    -2     5     1 1 1 1 0         0
+Frame6_l2:  B    6     6   0      0  0.3536   0        0        0        3      4     -2 -4 -6 2         1    -3     5     1 1 1 1 0         0
+Frame7_l2:  B    5     7   0      0  0.68     0        0        0        3      4     -1 -5  1 3         1     1     5     1 0 1 1 1         0
+Frame8_l2:  B    7     7   0      0  0.68     0        0        0        3      4     -1 -3 -7 1         1    -2     5     1 1 1 1 0         0
 
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
Index: trunk/cfg/MV-HEVC/NonCTC/gopCfg_PIP_on_IRAP_3view.cfg
===================================================================
--- trunk/cfg/MV-HEVC/NonCTC/gopCfg_PIP_on_IRAP_3view.cfg	(revision 1397)
+++ trunk/cfg/MV-HEVC/NonCTC/gopCfg_PIP_on_IRAP_3view.cfg	(revision 1405)
@@ -36,34 +36,34 @@
 
 
-#                           QPfactor      betaOffsetDiv2   #ref_pics_active  reference pictures     deltaRPS     reference idcs          ilPredLayerIdc       refLayerPicPosIl_L1
-#         Type  POC QPoffset     tcOffsetDiv2      temporal_id      #ref_pics                 predict     #ref_idcs        #ActiveRefLayerPics     refLayerPicPosIl_L0     
-Frame1:     B    8     1     0.442    0        0        0        4      4     -8 -10 -12 -16     0                                 0
-Frame2:     B    4     2     0.3536   0        0        0        2      3     -4 -6  4           1     4     5     1 1 0 0 1       0
-Frame3:     B    2     3     0.3536   0        0        0        2      4     -2 -4  2 6         1     2     4     1 1 1 1         0
-Frame4:     B    1     4     0.68     0        0        0        2      4     -1  1  3 7         1     1     5     1 0 1 1 1       0
-Frame5:     B    3     4     0.68     0        0        0        2      4     -1 -3  1 5         1    -2     5     1 1 1 1 0       0
-Frame6:     B    6     3     0.3536   0        0        0        2      4     -2 -4 -6 2         1    -3     5     1 1 1 1 0       0
-Frame7:     B    5     4     0.68     0        0        0        2      4     -1 -5  1 3         1     1     5     1 0 1 1 1       0
-Frame8:     B    7     4     0.68     0        0        0        2      4     -1 -3 -7 1         1    -2     5     1 1 1 1 0       0
-    
-FrameI_l1:  P    0     3     0.442    0        0        0        1      0                        0                                 1            0         0          -1
-Frame1_l1:  B    8     4     0.442    0        0        0        4      4     -8 -10 -12 -16     0                                 0
-Frame2_l1:  B    4     5     0.3536   0        0        0        3      3     -4 -6  4           1     4     5     1 1 0 0 1       0
-Frame3_l1:  B    2     6     0.3536   0        0        0        3      4     -2 -4  2 6         1     2     4     1 1 1 1         0
-Frame4_l1:  B    1     7     0.68     0        0        0        3      4     -1  1  3 7         1     1     5     1 0 1 1 1       0
-Frame5_l1:  B    3     7     0.68     0        0        0        3      4     -1 -3  1 5         1    -2     5     1 1 1 1 0       0
-Frame6_l1:  B    6     6     0.3536   0        0        0        3      4     -2 -4 -6 2         1    -3     5     1 1 1 1 0       0
-Frame7_l1:  B    5     7     0.68     0        0        0        3      4     -1 -5  1 3         1     1     5     1 0 1 1 1       0
-Frame8_l1:  B    7     7     0.68     0        0        0        3      4     -1 -3 -7 1         1    -2     5     1 1 1 1 0       0
+#                      CbQPoffset    QPfactor     betaOffsetDiv2   #ref_pics_active  reference pictures     deltaRPS     reference idcs          ilPredLayerIdc       refLayerPicPosIl_L1
+#         Type  POC QPoffset  CrQPoffset  tcOffsetDiv2      temporal_id      #ref_pics                 predict     #ref_idcs        #ActiveRefLayerPics     refLayerPicPosIl_L0     
+Frame1:     B    8     1   0      0  0.442    0        0        0        4      4     -8 -10 -12 -16     0                                 0
+Frame2:     B    4     2   0      0  0.3536   0        0        0        2      3     -4 -6  4           1     4     5     1 1 0 0 1       0
+Frame3:     B    2     3   0      0  0.3536   0        0        0        2      4     -2 -4  2 6         1     2     4     1 1 1 1         0
+Frame4:     B    1     4   0      0  0.68     0        0        0        2      4     -1  1  3 7         1     1     5     1 0 1 1 1       0
+Frame5:     B    3     4   0      0  0.68     0        0        0        2      4     -1 -3  1 5         1    -2     5     1 1 1 1 0       0
+Frame6:     B    6     3   0      0  0.3536   0        0        0        2      4     -2 -4 -6 2         1    -3     5     1 1 1 1 0       0
+Frame7:     B    5     4   0      0  0.68     0        0        0        2      4     -1 -5  1 3         1     1     5     1 0 1 1 1       0
+Frame8:     B    7     4   0      0  0.68     0        0        0        2      4     -1 -3 -7 1         1    -2     5     1 1 1 1 0       0
 
-FrameI_l2:  P    0     3     0.442    0        0        0        1      0                        0                                 1            0         0          -1
-Frame1_l2:  B    8     4     0.442    0        0        0        4      4     -8 -10 -12 -16     0                                 0  
-Frame2_l2:  B    4     5     0.3536   0        0        0        3      3     -4 -6  4           1     4     5     1 1 0 0 1       0  
-Frame3_l2:  B    2     6     0.3536   0        0        0        3      4     -2 -4  2 6         1     2     4     1 1 1 1         0  
-Frame4_l2:  B    1     7     0.68     0        0        0        3      4     -1  1  3 7         1     1     5     1 0 1 1 1       0  
-Frame5_l2:  B    3     7     0.68     0        0        0        3      4     -1 -3  1 5         1    -2     5     1 1 1 1 0       0  
-Frame6_l2:  B    6     6     0.3536   0        0        0        3      4     -2 -4 -6 2         1    -3     5     1 1 1 1 0       0  
-Frame7_l2:  B    5     7     0.68     0        0        0        3      4     -1 -5  1 3         1     1     5     1 0 1 1 1       0  
-Frame8_l2:  B    7     7     0.68     0        0        0        3      4     -1 -3 -7 1         1    -2     5     1 1 1 1 0       0  
+FrameI_l1:  P    0     3   0      0  0.442    0        0        0        1      0                        0                                 1            0         0          -1
+Frame1_l1:  B    8     4   0      0  0.442    0        0        0        4      4     -8 -10 -12 -16     0                                 0
+Frame2_l1:  B    4     5   0      0  0.3536   0        0        0        3      3     -4 -6  4           1     4     5     1 1 0 0 1       0
+Frame3_l1:  B    2     6   0      0  0.3536   0        0        0        3      4     -2 -4  2 6         1     2     4     1 1 1 1         0
+Frame4_l1:  B    1     7   0      0  0.68     0        0        0        3      4     -1  1  3 7         1     1     5     1 0 1 1 1       0
+Frame5_l1:  B    3     7   0      0  0.68     0        0        0        3      4     -1 -3  1 5         1    -2     5     1 1 1 1 0       0
+Frame6_l1:  B    6     6   0      0  0.3536   0        0        0        3      4     -2 -4 -6 2         1    -3     5     1 1 1 1 0       0
+Frame7_l1:  B    5     7   0      0  0.68     0        0        0        3      4     -1 -5  1 3         1     1     5     1 0 1 1 1       0
+Frame8_l1:  B    7     7   0      0  0.68     0        0        0        3      4     -1 -3 -7 1         1    -2     5     1 1 1 1 0       0
+
+FrameI_l2:  P    0     3   0      0  0.442    0        0        0        1      0                        0                                 1            0         0          -1
+Frame1_l2:  B    8     4   0      0  0.442    0        0        0        4      4     -8 -10 -12 -16     0                                 0  
+Frame2_l2:  B    4     5   0      0  0.3536   0        0        0        3      3     -4 -6  4           1     4     5     1 1 0 0 1       0  
+Frame3_l2:  B    2     6   0      0  0.3536   0        0        0        3      4     -2 -4  2 6         1     2     4     1 1 1 1         0  
+Frame4_l2:  B    1     7   0      0  0.68     0        0        0        3      4     -1  1  3 7         1     1     5     1 0 1 1 1       0  
+Frame5_l2:  B    3     7   0      0  0.68     0        0        0        3      4     -1 -3  1 5         1    -2     5     1 1 1 1 0       0  
+Frame6_l2:  B    6     6   0      0  0.3536   0        0        0        3      4     -2 -4 -6 2         1    -3     5     1 1 1 1 0       0  
+Frame7_l2:  B    5     7   0      0  0.68     0        0        0        3      4     -1 -5  1 3         1     1     5     1 0 1 1 1       0  
+Frame8_l2:  B    7     7   0      0  0.68     0        0        0        3      4     -1 -3 -7 1         1    -2     5     1 1 1 1 0       0  
 
 
Index: trunk/cfg/MV-HEVC/NonCTC/layerwise_startup_IBP_3view.cfg
===================================================================
--- trunk/cfg/MV-HEVC/NonCTC/layerwise_startup_IBP_3view.cfg	(revision 1397)
+++ trunk/cfg/MV-HEVC/NonCTC/layerwise_startup_IBP_3view.cfg	(revision 1405)
@@ -46,30 +46,31 @@
 DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI  // Currently only working for CDR
 GOPSize                       : 4           # GOP Size (number of B slice = GOPSize-1)
-#                           QPfactor      betaOffsetDiv2   #ref_pics_active  reference pictures     deltaRPS     reference idcs          ilPredLayerIdc       refLayerPicPosIl_L1
-#         Type  POC QPoffset     tcOffsetDiv2      temporal_id      #ref_pics                 predict     #ref_idcs        #ActiveRefLayerPics     refLayerPicPosIl_L0     
-Frame1:     B    1     3     0.4624   0        0        0        4      4     -1 -5 -9 -13       0                                   0
-Frame2:     B    2     2     0.4624   0        0        0        4      4     -1 -2 -6 -10       1    -1     5     1 1 1 0 1         0
-Frame3:     B    3     3     0.4624   0        0        0        4      4     -1 -3 -7 -11       1    -1     5     0 1 1 1 1         0            
-Frame4:     B    4     1     0.578    0        0        0        4      4     -1 -4 -8 -12       1    -1     5     0 1 1 1 1         0
-Frame5: 
-Frame6: 
-Frame7: 
-Frame8: 
 
-FrameI_l1:  P    0     3     0.442    0        0        0        1      0                        0                                   1          0         0          -1  
-Frame1_l1:  B    1     3     0.4624   0        0        0        4      4     -1 -5 -9 -13       0                                   1          0         0          -1     
-Frame2_l1:  B    2     2     0.4624   0        0        0        4      4     -1 -2 -6 -10       1    -1     5     1 1 1 0 1         1          0         0          -1     
-Frame3_l1:  B    3     3     0.4624   0        0        0        4      4     -1 -3 -7 -11       1    -1     5     0 1 1 1 1         1          0         0          -1                 
-Frame4_l1:  B    4     1     0.578    0        0        0        4      4     -1 -4 -8 -12       1    -1     5     0 1 1 1 1         1          0         0          -1     
-Frame5_l1: 
-Frame6_l1:
-Frame7_l1:
-Frame8_l1:
-
-FrameI_l2:  B    0     3     0.442    0        0        0        1      0                        0                                   1          0         0          -1  
-Frame1_l2:  B    1     3     0.4624   0        0        0        4      4     -1 -5 -9 -13       0                                   2          0 1       0 -1       -1 0
-Frame2_l2:  B    2     2     0.4624   0        0        0        4      4     -1 -2 -6 -10       1    -1     5     1 1 1 0 1         2          0 1       0 -1       -1 0
-Frame3_l2:  B    3     3     0.4624   0        0        0        4      4     -1 -3 -7 -11       1    -1     5     0 1 1 1 1         2          0 1       0 -1       -1 0            
-Frame4_l2:  B    4     1     0.578    0        0        0        4      4     -1 -4 -8 -12       1    -1     5     0 1 1 1 1         2          0 1       0 -1       -1 0
+#                      CbQPoffset    QPfactor     betaOffsetDiv2   #ref_pics_active  reference pictures     deltaRPS     reference idcs          ilPredLayerIdc       refLayerPicPosIl_L1
+#         Type  POC QPoffset  CrQPoffset  tcOffsetDiv2      temporal_id      #ref_pics                 predict     #ref_idcs        #ActiveRefLayerPics     refLayerPicPosIl_L0     
+Frame1:     B    1     3   0       0 0.4624   0        0        0        4      4     -1 -5 -9 -13       0                                   0
+Frame2:     B    2     2   0       0 0.4624   0        0        0        4      4     -1 -2 -6 -10       1    -1     5     1 1 1 0 1         0
+Frame3:     B    3     3   0       0 0.4624   0        0        0        4      4     -1 -3 -7 -11       1    -1     5     0 1 1 1 1         0            
+Frame4:     B    4     1   0       0 0.578    0        0        0        4      4     -1 -4 -8 -12       1    -1     5     0 1 1 1 1         0
+Frame5:                    
+Frame6:                    
+Frame7:                    
+Frame8:                    
+                           
+FrameI_l1:  P    0     3   0       0 0.442    0        0        0        1      0                        0                                   1          0         0          -1  
+Frame1_l1:  B    1     3   0       0 0.4624   0        0        0        4      4     -1 -5 -9 -13       0                                   1          0         0          -1     
+Frame2_l1:  B    2     2   0       0 0.4624   0        0        0        4      4     -1 -2 -6 -10       1    -1     5     1 1 1 0 1         1          0         0          -1     
+Frame3_l1:  B    3     3   0       0 0.4624   0        0        0        4      4     -1 -3 -7 -11       1    -1     5     0 1 1 1 1         1          0         0          -1                 
+Frame4_l1:  B    4     1   0       0 0.578    0        0        0        4      4     -1 -4 -8 -12       1    -1     5     0 1 1 1 1         1          0         0          -1     
+Frame5_l1:                 
+Frame6_l1:                 
+Frame7_l1:                 
+Frame8_l1:                 
+                           
+FrameI_l2:  B    0     3   0       0 0.442    0        0        0        1      0                        0                                   1          0         0          -1  
+Frame1_l2:  B    1     3   0       0 0.4624   0        0        0        4      4     -1 -5 -9 -13       0                                   2          0 1       0 -1       -1 0
+Frame2_l2:  B    2     2   0       0 0.4624   0        0        0        4      4     -1 -2 -6 -10       1    -1     5     1 1 1 0 1         2          0 1       0 -1       -1 0
+Frame3_l2:  B    3     3   0       0 0.4624   0        0        0        4      4     -1 -3 -7 -11       1    -1     5     0 1 1 1 1         2          0 1       0 -1       -1 0            
+Frame4_l2:  B    4     1   0       0 0.578    0        0        0        4      4     -1 -4 -8 -12       1    -1     5     0 1 1 1 1         2          0 1       0 -1       -1 0
 Frame5_l2:
 Frame6_l2:
